=== debian/changelog ===
libxmlada (4.1-4) unstable; urgency=low

  * Conflics -> Breaks for previous versions per Ada policy.
    Specify versions for Breaks and Replaces (old package split).
  * rules: switch to dh_ada_library.
  * tests: updated to latest autopkg specification (cosmetic).
  * Removed work-around for GCC bug on ia64 (unreproducible with 4.6).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 29 Aug 2013 04:21:02 +0200

libxmlada (4.1-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 9 dh driver.
  * Standards-Version 3.9.4. No more DM-Upload-Allowed, copyright file format.
  * Rely on snippets provided by recent dpkg-dev and dh-ada-library to
    deal with architecture, hardening, noopt and parallel options.
  * Install examples. Use one as run-time test of dynamic linking.
  * Added libxmlada-doc.doc-base.xmlada, watch (informative only).
  * debian/patches/texinfo5.diff:  Closes: #713299.
  * xmlada-config,.gpr: generated, replace usr/lib with multiarch path.
  * Do not compress examples, install TODO in the -doc package.
  * Added myself to uploaders.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 16 Aug 2013 02:12:43 +0200

libxmlada (4.1-2) unstable; urgency=low

  * debian/patches/xmlada-config.patch: bump version number.
    Closes: #661593.
  * debian/control: remove references to ada-compiler.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 28 Feb 2012 19:59:42 +0100

libxmlada (4.1-1) unstable; urgency=low

  [Xavier Grave]
  * New upstream version 4.1
  * add get-orig-source in debian/rules
  * Package renamings pursuant to Debian Policy for Ada:
    libxmlada3.2     -> libxmlada4.1
    libxmlada3.2-dev -> libxmlada4.1-dev
    libxmlada3.2-dbg -> libxmlada4.1-dbg
  
  [Ludovic Brenta]
  * debian/control (Architecture): any.
    (Uploaders): add Xavier.
    (DM-Upload-Allowed): yes.
    (Standards-Version): move to 3.9.2 with no changes required.
    (Multi-Arch): same.
    (Build-Depends): debhelper (>= 8.1.3).
  * debian/rules: install the shared and static libs in the multiarch
    directory.
  * debian/compat: bump to 8.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  6 Sep 2011 11:30:15 +0200

libxmlada (3.2-5) unstable; urgency=low

  * debian/control (*-dev): depend on gnat, ada-compiler.
    (*-doc, *-dbg): suggest gnat, gnat-4.4, ada-compiler.
    (Standards-Version): bump to 3.8.4 with no changes required.
    (VCS-Browser, VCS-Mtn): new.
    (Architecture): add armel  Closes: #568447.
  * debian/rules: extract the aliversion and soversion from
    debian/changelog.
  * Add support for building architecture-dependent and
    architecture-independent packages separately (i.e. dpkg-buildpackage
    -A, -B).
    debian/rules (binary): split into binary-arch and binary-indep.
    debian/control (Build-Depend-Indep): new, move some dependencies
    from Build-Depend.

  [Nicolas Boulenguez]
  * debian/rules (libxmlada$(ALIVERSION)-dev): Removed obsolete and empty
    doc directory.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 16 Jun 2010 20:51:18 +0200

libxmlada (3.2-4) unstable; urgency=medium

  * debian/build_xmlada.gpr: work around a ia64-only compiler bug.
    Allows the package to build on ia64.
  * debian/rules (binary-indep): do not compress PDF files, they are
    already compressed internally.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Dec 2009 15:37:21 +0100

libxmlada (3.2-3) unstable; urgency=low

  [Xavier Grave]
  * debian/rules (libxmlada$(ALIVERSION)-dev): s/SONAME/SOVERSION/;
    fixes a bug.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  1 Dec 2009 22:04:15 +0100

libxmlada (3.2-2) unstable; urgency=low

  * debian/control (libxmlada-doc): conflict with old versions of
    the -dev package, they used to contain the documentation.
    Closes: #557497.
  * debian/rules (libxmlada-doc): also install the changelog.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 24 Nov 2009 00:37:12 +0100

libxmlada (3.2-1) unstable; urgency=low

  * New upstream version taken from Subversion revision 150712.
  * debian/control (Build-Depends, Depends): transition to gnat-4.4.
    (Architectures): remove alpha due to http://gcc.gnu.org/PR42073.
    (libxmlada-doc): new package, Architecture: all.
    Package renamings:
    - libxmlada-dev to libxmlada3.2-dev
      with Conflicts: and Replaces:, per Debian Policy for Ada
      [http://people.debian.org/~lbrenta/debian-ada-policy.html].
    - libxmlada3{,-dbg} to libxmlada3.2{,-dbg}
  * build_xmlada.gpr, xmlada-config.gpr: move to debian/.
  * debian/README.Debian: remove, outdated.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 19 Nov 2009 23:06:09 +0100

libxmlada (3.0-6) unstable; urgency=low

  * debian/control (Architecture): add kfreebsd-amd64.  Closes: #542416.
    (Standards-Version): bump to 3.8.3.
    (Depends): s/source:Version/binary:Version/g.
  * debian/rules, debian/control (libxmlada3-dbg): introduce a new
    package containing the detached debugging symbols.
  * build_xmlada.gpr: always build with -g.
  * patches: move to debian/patches.  Make the patches compliant with
    "quilt refresh -p ab".  Closes: #485098.
  * debian/rules: become compliant with source format 3.0 (quilt).
    (clean): s/dh_clean -k/dh_prep/.
    (libxmlada.so.3): gatmake knows about -fPIC when Library_Kind is
    "dynamic", so do not pass it explicitly.
  * debian/compat: bump to 7.
  * debian/xmlada.gpr: turn into a proper library project file.
    Closes: #522031.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Sep 2009 12:54:47 +0200

libxmlada (3.0-5) unstable; urgency=low

  * Tighten build-dependency on gnat-4.3 due to bug fixes in libgnat that
    affect the .ali files.
  * Add Support for ppc64 in debian/control.
  * xmlada-config.1: correct a syntax error detected by lintian; simplify.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  1 Jun 2008 15:41:26 +0200

libxmlada (3.0-4) unstable; urgency=low

  [Andreas Metzler]

