=== debian/control ===
Source: libxmlada
Priority: optional
Section: libdevel
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.6, dh-ada-library (>= 5.4)
# dh-ada-library << 5.4 introduce symlinks in doc dirs.
Build-Depends-Indep: texinfo, texlive-generic-recommended,
 texlive-fonts-recommended, texlive-latex-base
Standards-Version: 3.9.4
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libxmlada
Vcs-Mtn: www.ada-france.org org.debian.libxmlada
XS-Testsuite: autopkgtest
Homepage: https://libre.adacore.com/libre

Package: libxmlada4.1-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Breaks: libxmlada-dev (<< 3.2-1)
Replaces: libxmlada-dev (<< 3.2-1)
Recommends: libxmlada-doc
Description: XML/Ada, a full XML suite for Ada programmers
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the static libraries, documentation, and Ada
 specification files.  Install it if you want to develop XML
 applications in Ada.

Package: libxmlada-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libxmlada-dev (<< 3.2-1)
Replaces: libxmlada-dev (<< 3.2-1)
Suggests: gnat, gnat-4.6
Description: XML/Ada, a full XML suite for Ada programmers (documentation)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the documentation in text, PDF, info and HTML.

Package: libxmlada4.1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the runtime shared library.

Package: libxmlada4.1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: XML/Ada, a full XML suite for Ada programmers (debugging symbols)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the detached debugging symbols for the runtime
 shared library.
