=== sax/test/Makefile ===
tests: force
	@./teststate > test_sax.out
	@cat test_sax.out

force:
