=== unicode/test/Makefile ===
tests: force
	@./test_unicode > test_unicode.out
	@cat test_unicode.out

force:
