=== debian/changelog ===
libxmlada (4.4.2014-1build1) utopic; urgency=medium

  * No change rebuild for gnat-4.9.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 19:55:56 +0200

libxmlada (4.4.2014-1) unstable; urgency=medium

  * New upstream release GPL 2014 (between 4.4 and 4.5).
    SO version does not change, but ALI version does. Per Ada policy,
    dev package is renamed and Breaks/Replaces with previous ones

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Aug 2014 20:27:26 +0200

libxmlada (4.4.0puregpl-1) unstable; urgency=medium

  * The actual license does not grant the GCC Runtime Library Exception.
    Switched back to a branch for the orig archive, see debian/README.source.
    Obsoletes: license patch, override removing cvs-ignore.
  * patches/compile_with_4.6.diff: not needed anymore with gnat-4.9.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 02 May 2014 17:52:44 +0200

libxmlada (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * License clarified: GPL-3+ with GCC Runtime Library Exception.
  * Docs now formatted by sphinx. Symlink embedded javascript when possible.
  * xmlada-config relies on upstream configure again.
  * rules: run-tests target obsoleted by sadt from devscripts.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 01 May 2014 13:24:20 +0200
