=== debian/control ===
--- 
+++ 
@@ -2,24 +2,28 @@
 Priority: optional
 Section: libdevel
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
- gnat, gnat-4.6, dh-ada-library (>= 5.4)
+ autotools-dev, autoconf,
+# Rules regenerate all the configure stuff.
+ gnat, gnat-4.9, dh-ada-library (>= 5.4)
 # dh-ada-library << 5.4 introduce symlinks in doc dirs.
-Build-Depends-Indep: texinfo, texlive-generic-recommended,
- texlive-fonts-recommended, texlive-latex-base
-Standards-Version: 3.9.4
+Build-Depends-Indep: python-sphinx,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended
+Standards-Version: 3.9.5
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libxmlada
 Vcs-Mtn: www.ada-france.org org.debian.libxmlada
 XS-Testsuite: autopkgtest
 Homepage: https://libre.adacore.com/libre
 
-Package: libxmlada4.1-dev
+Package: libxmlada5-dev
+Breaks: libxmlada4.4.0-dev
+Replaces: libxmlada4.4.0-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
-Breaks: libxmlada-dev (<< 3.2-1)
-Replaces: libxmlada-dev (<< 3.2-1)
 Recommends: libxmlada-doc
 Description: XML/Ada, a full XML suite for Ada programmers
  XML/Ada is a set of modules that provide a simple manipulation of XML
@@ -37,10 +41,10 @@
 Package: libxmlada-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Breaks: libxmlada-dev (<< 3.2-1)
 Replaces: libxmlada-dev (<< 3.2-1)
-Suggests: gnat, gnat-4.6
+Suggests: gnat
 Description: XML/Ada, a full XML suite for Ada programmers (documentation)
  XML/Ada is a set of modules that provide a simple manipulation of XML
  streams. It supports the whole XML 1.0 specifications, and can parse
@@ -50,9 +54,9 @@
  includes a module to manipulate Unicode streams, since this is required
  by the XML standard.
  .
- This package contains the documentation in text, PDF, info and HTML.
+ This package contains the documentation in text, PDF and HTML.
 
-Package: libxmlada4.1
+Package: libxmlada4.4.0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -69,7 +73,7 @@
  .
  This package contains the runtime shared library.
 
-Package: libxmlada4.1-dbg
+Package: libxmlada-dbg
 Section: debug
 Priority: extra
 Architecture: any
