=== debian/watch ===
# Upstream uses a complicated website making hard to automatically find new
# versions of XML/Ada. See debian/copyright for the URL.
