=== debian/changelog ===
libxmlada (4.5.2015-8) unstable; urgency=medium

  * Build-Depend iftex.sty from texlive-generic-extra. Closes: #830395.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 13:54:06 +0200

libxmlada (4.5.2015-7) unstable; urgency=medium

  [Martin Pitt]
  * Declare that tests/no-project depends on dpkg-dev, GCC. Closes: 823998.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 May 2016 16:03:39 +0200

libxmlada (4.5.2015-6) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Apr 2016 23:36:04 +0200

libxmlada (4.5.2015-5) experimental; urgency=medium

  * Add more libraries versions (checked with apt-cudf in pbuilder).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 18 Apr 2016 21:24:01 +0200

libxmlada (4.5.2015-4) experimental; urgency=medium

  * Select experimental versions >= 6~ of GCC libraries, so that the
    dependency resolver on build daemons manages to install gnat-6.
  * Select gnatgcc in case it differs from gcc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Apr 2016 10:27:52 +0200

libxmlada (4.5.2015-3) experimental; urgency=medium

  * Rebuild with gnat-6.
  * Implement our own dh-ada-library to break circular build-dependency.
  * Enable all hardening flags, except PIE for the relocatable library.
  * Replace explicit -dbg packages with automatic -dbgsym packages.
  * Update to Standards-Versions 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Mar 2016 00:19:13 +0100

libxmlada (4.5.2015-2) experimental; urgency=medium

  * Arch-only builds should not require sphinx-common.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Oct 2015 19:23:06 +0100

libxmlada (4.5.2015-1) experimental; urgency=medium

  * New upstream release GPL 2015 (between 4.5 and 4.6), built with gnat-5.
    Split libraries, change library and -dev packages versions per Ada policy.
    Avoid projects during build: gnatmake is dropping them, and
    gprbuild would cause a circular build dependency.
    Use Files-Excluded to spare half the size, avoid minified javascript,
    drop Build-Dependency on autotools-dev and autoconf.
  * Freeze the clock for deterministic PDF timestamps.
  * Use dh-sphinxdoc.
  * Patch SO version from debian/rules instead of a static patch.
  * control/Testsuite: obsolete.
  * watch: use Debian redirector to detect next GPL release.
    README.source, find_branchpoint.sh: describe what to do then.
  * Test project, command line and xmlada-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Sep 2015 14:51:55 +0200
