=== debian/tests/control ===
Tests: link-with-shared xmlada-config

Tests: no-project
Depends: @, dpkg-dev, gcc
